## dtt 0.1-1

=== DESCRIPTION ===
Package: dtt
Type: Package
Title: Discrete Trigonometric Transforms
Version: 0.1-1
Date: 2007-02-25
Author: Lukasz Komsta
Maintainer: Lukasz Komsta <luke@novum.am.lublin.pl>
License: GPL (>= 2)
URL: http://www.r-project.org, http://www.komsta.net/
Description: This package provides functions for 1D and 2D Discrete
        Cosine Transform (DCT), Discrete Sine Transform (DST) and
        Discrete Hartley Transform (DHT).
Packaged: 2012-10-29 08:58:36 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:36
