## dtt 0.1-2

=== DESCRIPTION ===
Package: dtt
Type: Package
Title: Discrete Trigonometric Transforms
Version: 0.1-2
Date: 20013-12-30
Author: Lukasz Komsta
Maintainer: Lukasz Komsta <lukasz.komsta@umlub.pl>
License: GPL (>= 2)
URL: http://www.r-project.org, http://www.komsta.net/
Description: This package provides functions for 1D and 2D Discrete
        Cosine Transform (DCT), Discrete Sine Transform (DST) and
        Discrete Hartley Transform (DHT).
Packaged: 2013-12-30 09:08:52 UTC; luke
Repository: CRAN
Date/Publication: 2013-12-30 11:44:32
NeedsCompilation: no
