## dtt 0.1-2.1

=== DESCRIPTION ===
Package: dtt
Type: Package
Title: Discrete Trigonometric Transforms
Version: 0.1-2.1
Authors@R: person(given = "Lukasz",
                  family = "Komsta",
                  role = c("aut", "cre"),
                  email = "lukasz.komsta@umlub.pl")
License: GPL (>= 2)
URL: https://www.r-project.org, https://www.komsta.net/
Description: Provides functions for 1D and 2D Discrete
        Cosine Transform (DCT), Discrete Sine Transform (DST) and
        Discrete Hartley Transform (DHT).
Packaged: 2025-06-17 10:37:11 UTC; hornik
Repository: CRAN
Date/Publication: 2025-06-17 10:53:30 UTC
NeedsCompilation: no
Author: Lukasz Komsta [aut, cre]
Maintainer: Lukasz Komsta <lukasz.komsta@umlub.pl>
