## dtt 4.1.0~rc1

=== debian/changelog ===
dtt (4.1.0~rc1-1+deb12) stable; urgency=medium

  * Synchronize with ADC clock over NDS server
  * Improve test setup so it will kill processes even if some of them crash.
  * Change foton default so RHP zeros do  not trigger warnings.
  * Small change to foton command-line help text.

 -- Erik von Reis <evonreis@caltech.edu>  Sat, 16 Mar 2024 08:03:48 -0700

dtt (4.0.5-1+deb12) stable; urgency=medium

  * Updated version number to 4.0.5.

 -- Patrick Thomas <pthomas@caltech.edu>  Mon, 04 Mar 2024 13:49:56 -0800

dtt (4.0.4-1+deb12) stable; urgency=medium

  * Only update usernds exciations when actually in usernds mode.

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 15 Feb 2024 15:55:36 -0800

dtt (4.0.3-1+deb12) stable; urgency=medium

  * 4.0.3 release

 -- Erik von Reis <evonreis@caltech.edu>  Sat, 20 Jan 2024 13:51:23 -0800

dtt (4.0.3~dev1-1+deb12) stable; urgency=medium

  * Make save message a bit less scary.
  * Fix warning from type coercion
  * Add custom design string generator that automatically produces an exact design string.
  * Convert warning to error when no design string is created.
  * Closes #384.  Add in option to block warnings about right-hand plane zeros.
  * Attempt to switch pybind to using SITEARCH variable for python installation.
  * Bug report email changed to something that seems to work.
  * Added create_if_not_exist and read_only flags to FilterFile creation in foton.py
  * Some improvements to error messages on swept sine and sine response.
  * Skip updating references when diaggui cannot find a new trace to udpate from.
  * Check for filters that are too big for awgtpman.
  * Fix difference to be actually useful.
  * Fix cursor labels so they change to dX, dY when in delta form, and also so the cursor doesn't move when switching between absolute and delta.
  * Script for starting simulated front end test.
  * UserNDS now also sets exciation channels.

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 19 Jan 2024 17:23:14 -0800

dtt (4.0.2-5+deb12) stable; urgency=medium

  * Add missing bindings to python-foton

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 19 Sep 2023 16:06:35 -0700

dtt (4.0.2-4+deb12) stable; urgency=medium

  * "Fix" mis-matched .gitlab.yaml

 -- Erik von Reis <evonreis@caltech.edu>  Mon, 31 Jul 2023 10:13:05 -0700

dtt (4.0.2-3+deb12) stable; urgency=medium

  * Drop upper limits on framecpp and root-cds
  * Rename source package to dtt (as the tarball is named dtt-x.y.z.tar.gz)
  * Split "python" lines in debian/control for tweak scripts
  * Set BUILD_PREFIX=/usr for rpcgen to find cpp

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 27 Jul 2023 10:31:00 +0200

cds-crtools (4.0.2-2+deb12) stable; urgency=medium

  * Drop upper limit on framecpp versions

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 25 Jul 2023 11:05:18 -0700

cds-crtools (4.0.2-1+deb12) stable; urgency=medium

  * Memory leak fixed in libSIStr
  * Make cursor edit boxes high precision
  * Improvements to stability of NDS2 connections

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 20 Jul 2023 22:34:40 -0700

cds-crtools (4.0.2~dev1-1+deb12) stable; urgency=medium

  * add support for tirpc library
  * Allow NDS2 connection to handle threads that lock up.
  * Various bug fixes for diaggui's nds2 connection
  * DTT packaging for Debian bookworm

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 29 Jun 2023 17:49:56 -0700

cds-crtools (4.0.0-1+deb11) stable; urgency=medium

  * Fix precision on 'df' and other parameters passed between diaggui and diag
  * Increased precision of variables passed to diag from diaggui
  * Added foton_unit_test.py.
  * Added the python foton unit tests to ctest.
  * DTT now detects which version of awg interface is in use and picks the right one.
  * Removed unused diag command line options
  * Fix zroots method in foton.py.in
  * awg.py: use Thread.is_alive() instead of isAlive()
  * conda: build foton in conda on a mac
  * [foton] pybind for dmtsigp and filterfile libraries builds
  * Removes annoying stderr lines from libfilterfile
  * [foton.py] Add clear method to Section
  * Improve doc strings for awg.py
  * Foton now checks load errors when saving filter files.
  * (debian) Add testpoint_interface_v3.h to testpoint-dev package
  * Block menu usage on numerous commands in foton, awggui, and diaggui that might lead to a lock up.
  * nds2 live connections successfully restart
  * Remove check on nds2, switch away from "now" setting
  * [FOTON] Make label on file error button a bit clearer.
  * Check for non-finite values in the filter time series response.
  * diaggui: '--autostart' option now restarts on test failure.
  * [foton] now optionally 
  * Changed the error handling to support multiple levels of alerts. Added a check for zeros in the right half of the s-plane.
  * [foton] Add warning to failure to create design string.
  * FILTERFILE: Add a flag to enable coefficient corrections on load
  * [foton] fixed some crashes
  * Changed the color and text of the file notifications to match the level of the notification.
  * Added a check to foton.py.in to check the existence of a file path before attempting to open the file at that path. This includes checking for broken symbolic links.
  * [libfilterfile] Update pybind11 to include response on filter design objects.
  * Added more detail to the notifications about deleting filter modules upon saving.
  * Diaggui: improved reliability of NDS2 connection

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 08 Jun 2023 11:35:46 -0700

cds-crtools (3.1.4-3+deb11) stable; urgency=medium

  * Chage framecpp dependencies to 2.8 instead of 2.9.  2.9 has a performance issue.

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 19 Jan 2023 12:18:45 -0800
 

cds-crtools (3.1.4-2+deb11) bullseye; urgency=medium

  * Move framecpp version back to 2.8.1 for fast release on debian 11

 -- Erik von Reis <evonreis@caltech.edu>  Sat, 05 Nov 2022 11:39:12 -0700


