=== debian/control ===
Source: dtt
Section: misc
Priority: optional
Maintainer: Erik von Reis <evonreis@caltech.edu>
Build-Depends:
 cmake (>= 3.13),
 cpp,
 debhelper (>= 10),
 root-cds (>= 6.20.4),
 dh-make, libcurl4-gnutls-dev, libexpat1-dev, libfftw3-dev,
 pkg-config,
 libfreetype6-dev, liblzma-dev, libncurses5-dev,
 libpcre3-dev, libpng-dev, libreadline-dev, libsasl2-dev, libssl-dev,
 libtinfo-dev, zlib1g-dev,
 python3-all-dev,
 gds-root-extensions-base (>= 2.19.4),
 gds-root-extensions-crtools (>= 2.19.4),
 gds-base-crtools (>= 2.19.6),
 gds-base-dev (>= 2.19.6),
 gds-dmt-dev (>= 2.19.6),
 libnds2-client-dev (>= 0.16.7),
 ldas-tools-framecpp-dev (>= 2.8.1)
Standards-Version: 4.3.0
Homepage: https://git.ligo.org/cds/dtt
Rules-Requires-Root: no

Package: cds-crtools
Architecture: any
Depends:
 dtt-diag, dtt-diagd, dtt-diaggui,
 dtt-awggui, dtt-awgstream, dtt-multiawgstream,
 dtt-tpcmd, dtt-xml-tools,
 chndump,  foton, lidax, dmtviewer,
 python3-awg,
 python3-foton,
 fantom,
 ${misc:Depends}
Description: cd-crtools installs a collection of tools used at LIGO.
 cds-crtools is a metapackaget that installs several programs
 used to control LIGO-style interfrometers. The package includes
 diag, diagd, diaggui, awggui, tpcmd, chndump
 along with foton, the filter design program, and others.

Package: dtt-diag
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Command line program for running LIGO's Diagnostics Test Tools.
 diag is suitable for scripting diagnostics test and excitations on LIGO's
 real-time data acquisition system.

Package: dtt-diagd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Daemon for running LIGO's Diagnostics Test Tools remotely.
 diagd is suitable for remotely running diagnostics test
 and excitations on LIGO's real-time data acquisition system.

Package: dtt-diaggui
Architecture: any
Depends:
 root-cds (>= 6.20.4),
 ${shlibs:Depends},
 ${misc:Depends},
 dtt-diag,
 crtools-gui-libraries-dev,
 libfilterwiz-dev,
 ldas-tools-framecpp (>= 2.8.1)
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Graphical program for running LIGO's Diagnostics Test Tools.
  diaggui is a user interface for running diagnostics tests, creating excitations,
  calculating results on LIGO's real time system data acquisition system.

Package: dtt-awggui
Architecture: any
Depends:
 root-cds (>= 6.20.4),
 ${shlibs:Depends},
 ${misc:Depends},
 crtools-gui-libraries-dev,
 libfilterwiz-dev
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Graphical program for running excitations using LIGO's awgtpman.
 awggui is an interface for creating excitations on LIGO's data acquisition system,
 including many periodic functions, random noise excitations, and custom
 user-defined excitations.

Package: dtt-awgstream
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Stream arbitrary data as an excitation using LIGO's awgtpman.
 Includes awgexec_run program for streaming excitations from Matlab.

Package: dtt-multiawgstream
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Stream multiple arbitrary data sets as excitations using LIGO's awgtpman.
 Stream arbitrary data to multiple exciatation channels at once on LIGO's real-time
 data acquisition system.

Package: dtt-tpcmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Command line tool for manipulating test points using LIGO's awgtpman.
 Close and open test points on LIGO's real-time data acquisition system

Package: dtt-xml-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Command line tools for XML files produced using DTT.
 Includes xmlconv, xmldata, and xmldir.  Files can be produced by diag or diaggui.

Package: dtt-headers
Depends:
 ${misc:Depends}
Architecture: all
Description: Private headers needed form some of the DTT library development packages.
 Development headers needed to build programs dependent on DTT.

Package: chndump
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Older program for listing channels for a LIGO NDS server.
 A command line tool that lists channel information to standard out.

Package: foton
Architecture: any
Depends:
 root-cds (>= 6.20.4),
 ${shlibs:Depends},
 ${misc:Depends},
# root-cds (<< 6.21),
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Graphical program for designing and generating filters.
 foton is used at LIGO to design and display filters,
 then generate filter files usable by the LIGO real-time
 data acquisition system.
 A variety of design strategies are supported.

Package: lidax
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Graphical program for retrieving LIGO data.
 lidax reads LIGO frame files.

Package: dmtviewer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Graphical program for viewing output of DMT monitors.
 DMT viewer is used in LIGO control rooms to display DMT data.

Package: fantom
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Command-line program for translation of LIGO frame and NDS data.
 fantom can be used to translate from different LIGO data formats.

Package: python3-awg
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-numpy,
 libawg-dev,
 libsistr-dev,
 libtestpoint-dev,
Replaces: python-awg
Breaks: python-awg
Conflicts: python-awg
Description: Python 3 bindings to libawg.
 Create excitations using LIGO's awgtpman using Python.
 The awg module allows simple python scripting of excitations
 on the LIGO data acquisition system.

Package: python3-foton
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-numpy,
 python3-scipy,
 libfilterfile-dev,
Description: Python 3 bindings for foton functions.
 Library for design, inspection and manipulation of filters and
 LIGO style filter files.

Package: libdtt
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library containing the functionality of LIGO's Diagnostics Test Tools.
 libdtt is an interface for creating and running diagnostics tests on
 the LIGO real-time data acquisition system.

Package: libdtt-dev
Architecture: any
Depends:
 ${misc:Depends},
 libdtt, libtestpoint-dev, libfantom-dev, libdfm-dev
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed for development using libdtt.
 libdtt is an interface for creating and running diagnostics tests on
 the LIGO real-time data acquisition system.

Package: libawg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library used to interface with awgtpman, the waveform excitation program used at LIGO.
 libawg is an interface for opening, configuring, and controlling excitations
  on the LIGO real-time data acquisition system.

Package: libawg-dev
Architecture: any
Depends:
 ${misc:Depends},
 libawg, libtestpoint-dev, libdtt-dev
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed for development with libawg.
 libawg is an interface for opening, configuring, and controlling excitations
 on the LIGO real-time acquisition system.

Package: libtestpoint
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library for manipulating LIGO test points.
 libtestpoint allows opening and closing of test points on the LIGO
 real-time data acquisition system.

Package: libtestpoint-dev
Architecture: any
Depends:
 ${misc:Depends},
 libtestpoint,
Replaces: gds-dtt-crtools (<< 3), gds-crtools, gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed for development with libtestpoint.
 libtestpoint allows opening and closing of test points on the LIGO
 real-time data acquisition system.

Package: libsistr
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library for sending arbitrary data as excitations using LIGO's awgtpman.
 libsistr is a library used for streaming custom excitations.

Package: libsistr-dev
Architecture: any
Depends:
 ${misc:Depends},
 libsistr,
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed to develop with libsistr.
 libsistr is a library used for streaming custom excitations.

Package: libfantom
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library for translation of LIGO data frames and LIGO NDS data.
