=== debian/rules ===
#!/usr/bin/make -f

INSTALL_DIR = tmp
CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_PYTHON2=NO -DENABLE_PYTHON3=YES \
	-DBUILD_PREFIX=/usr

%:
	dh $@

override_dh_auto_configure:
	mkdir -p .build
	cd .build && \
	BUILD_PREFIX=/usr \
	    cmake  $(CMAKE_OPTS) $(CURDIR)

override_dh_auto_build:
	cd .build && \
	BUILD_PREFIX=/usr \
	    make -j4

override_dh_auto_install:
	cd .build && \
	BUILD_PREFIX=/usr \
	    make install DESTDIR=$(CURDIR)/debian/$(INSTALL_DIR)
	dh_install
