## dtt 4.1.5~rc2

=== debian/changelog ===
dtt (4.1.5~rc2-2+deb13) stable; urgency=medium

  * Add recommended dh-python build dep
  * Add explicit python3 to debhelper args

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 17 Sep 2025 14:32:12 -0700

dtt (4.1.5~rc2-1+deb13) stable; urgency=medium

  * build manylinux and macos wheels
  * Fix script to work with trixie

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 16:01:53 -0700

dtt (4.1.5~rc1-4+deb13) stable; urgency=medium

  * Change python3 install dir to python3.13

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 14:40:46 -0700

dtt (4.1.5~rc1-3+deb13) stable; urgency=medium

  * fix use of unittest.TestCase.assertEquals
  * Add some doc strings to make it easier to connect foton.py and awg.py
  * step response test added
  * Add step response data files
  * Add trixie to auto-deb script
  * Drop gdssched. No longer needed.

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 12:51:46 -0700

dtt (4.1.5~rc1-2+deb13) stable; urgency=medium

  * drop libpcre and gdssched.
  * add libtirpc to build deps

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 12:30:13 -0700

dtt (4.1.4-1+deb13) stable; urgency=medium

  * fix foton get_zroots()
  * Add test for filter design get_zroots and set_zroots

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 08 Aug 2024 14:40:28 -0700

dtt (4.1.3-1+deb12) stable; urgency=medium

  * Bump version to 4.1.3

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Jul 2024 17:37:53 -0700

dtt (4.1.3~dev1-1+deb12) stable; urgency=medium

  * excitation channel name nesting depends on total channel count

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Jul 2024 12:38:46 -0700

dtt (4.1.2-1+deb12) stable; urgency=medium

  * foton: Handle "frequency" and "s-plane" options for Mag-Q roots
  * diaggui: re-enable full nesting of excitation channels

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 27 Jun 2024 13:04:53 -0700

dtt (4.1.1-1+deb12) stable; urgency=medium

  * Change RHP Zero warning check.

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 27 Mar 2024 15:13:32 -0700

dtt (4.1.0-1+deb12) stable; urgency=medium

  * Check version tag on autorelease is ancestor of master
  * Added update history for awggui

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 26 Mar 2024 14:43:05 -0700

dtt (4.1.0~rc4-1+deb12) stable; urgency=medium

  * Fix glitch at top of awggui ramp when loading a configuration that starts an excitation.

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 26 Mar 2024 00:38:56 -0700

dtt (4.1.0~rc2-1+deb12) stable; urgency=medium

  * Working auto release script.
  * Update and add some useful test files.
  * Fix awg time function being undefined.

 -- Erik von Reis <evonreis@caltech.edu>  Mon, 25 Mar 2024 23:16:41 -0700
