=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
  dh-make, libcurl4-gnutls-dev, libexpat1-dev, libfftw3-dev,
  pkg-config,
  libfreetype6-dev, liblzma-dev, libncurses5-dev,
- libpcre3-dev, libpng-dev, libreadline-dev, libsasl2-dev, libssl-dev,
+ libpng-dev, libreadline-dev, libsasl2-dev, libssl-dev,
  libtinfo-dev, zlib1g-dev,
- python3-all-dev,
+ python3-all-dev, dh-python,
  gds-root-extensions-base (>= 2.19.4),
  gds-root-extensions-crtools (>= 2.19.4),
  gds-base-crtools (>= 2.19.6),
  gds-base-dev (>= 2.19.6),
  gds-dmt-dev (>= 2.19.6),
  libnds2-client-dev (>= 0.16.7),
- ldas-tools-framecpp-dev (>= 2.8.1)
+ ldas-tools-framecpp-dev (>= 2.8.1),
+ libtirpc-dev
 Standards-Version: 4.3.0
 Homepage: https://git.ligo.org/cds/dtt
 Rules-Requires-Root: no
