=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	-DBUILD_PREFIX=/usr
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	mkdir -p .build
