## dtt 4.1.5

=== debian/changelog ===
dtt (4.1.5-3+deb12) stable; urgency=medium

  * Switch python build to pybuild

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 19 Sep 2025 12:29:09 -0700

dtt (4.1.5-2+deb12) stable; urgency=medium

  * drop libpcre3 as a build dep

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 19 Sep 2025 10:08:19 -0700

dtt (4.1.5-1+deb12) stable; urgency=medium

  * release 4.1.5

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 17 Sep 2025 15:39:41 -0700

dtt (4.1.5~rc2-1+deb12) stable; urgency=medium

  * build manylinux and macos wheels
  * Fix script to work with trixie

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 16:01:53 -0700

dtt (4.1.5~rc1-1+deb12) stable; urgency=medium

  * fix use of unittest.TestCase.assertEquals
  * Add some doc strings to make it easier to connect foton.py and awg.py
  * step response test added
  * Add step response data files
  * Add trixie to auto-deb script
  * Drop gdssched. No longer needed.

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 12:15:03 -0700

dtt (4.1.4-1+deb12) stable; urgency=medium

  * fix foton get_zroots()
  * Add test for filter design get_zroots and set_zroots

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 08 Aug 2024 14:40:28 -0700
