=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
  gds-base-dev (>= 2.19.6),
  gds-dmt-dev (>= 2.19.6),
  libnds2-client-dev (>= 0.16.7),
- ldas-tools-framecpp-dev (>= 2.8.1),
- libtirpc-dev
+ ldas-tools-framecpp-dev (>= 2.8.1)
 Standards-Version: 4.3.0
 Homepage: https://git.ligo.org/cds/dtt
 Rules-Requires-Root: no
